%========================== iis.cls ==========================
%
%-for IIS %
% Version 1.02
%-Released on May  2012
%-Released on Sep. 2015
%-Released on Feb. 2016
%
%==============================================================

\typeout{***** Document Class =<<<iis.cls>>>= ver. 1 *****}
\NeedsTeXFormat{LaTeX2e}[2009]
%% \ProvidesClass{iis}[2012/05/07 v1.0]
\ProvidesClass{iis}[2016/02/17 v1.02 for IIS by Standard LaTeX class]
\RequirePackage{amsmath}[1997/03/20]
\RequirePackage{amssymb}
\RequirePackage{amsthm}
\RequirePackage[dvips]{graphicx,color}
\RequirePackage{pifont}
\RequirePackage{cite}
\RequirePackage[T1]{fontenc}
\RequirePackage{times}
\RequirePackage{mathptmx}
\SetSymbolFont{operators}{bold}{OT1}{txr}{bx}{n}
\SetSymbolFont{letters}{bold}{OML}{txmi}{bx}{it}
\SetSymbolFont{symbols}{bold}{OMS}{txsy}{bx}{n}
\SetSymbolFont{largesymbols}{bold}{OMX}{txex}{bx}{n}
\DeclareMathAlphabet{\mathcal}{OMS}{cmsy}{b}{n}
\RequirePackage{bm}
\RequirePackage{wrapfig}
\RequirePackage{multirow}

\newif\if@isseceq \@isseceqfalse
\newif\if@appen   \@appenfalse
\newif\if@restonecol 
\newif\if@titlepage  \@titlepagefalse
\newif\if@reviewdocument \@reviewdocumentfalse

\newif\if@isarticleno \@isarticlenofalse
\newif\if@ispapertype \@ispapertypefalse
\newif\if@issubjclass \@issubjclassfalse
\newif\if@issupport   \@issupportfalse
\newif\if@isadvancepub\@isadvancepubfalse

\setlength\paperheight {297mm}
\setlength\paperwidth  {210mm}
\setlength\textheight{249mm}
\setlength\textwidth{168.7mm}
\setlength\oddsidemargin{-4.1mm}
\setlength\evensidemargin{-4.1mm}
\setlength\topmargin{-15mm}
\setlength\headheight{10\p@}
\setlength\headsep{6mm} 
\setlength\topskip{10\p@}
\setlength\footskip{24\p@}
\addtolength\textheight{\topskip}

\if@compatibility\else
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\fi
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\DeclareOption{review}{\@reviewdocumenttrue}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\if@compatibility\else
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\fi
\DeclareOption{titlepage}{\@titlepagetrue}
\if@compatibility\else
\DeclareOption{notitlepage}{\@titlepagefalse}
\fi
\if@compatibility\else
\DeclareOption{onecolumn}{\@twocolumnfalse}
\fi
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}%
}
\DeclareOption{seceq}{\@isseceqtrue}
\ExecuteOptions{twoside,onecolumn,final}
\ProcessOptions

\if@twocolumn
  \setlength\parindent{1em}
\else
  \setlength\parindent{15\p@}
\fi
\setlength\smallskipamount{3\p@ \@plus 1\p@ \@minus 1\p@}
\setlength\medskipamount{6\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\bigskipamount{12\p@ \@plus 4\p@ \@minus 4\p@}
\if@compatibility \setlength\maxdepth{4\p@} \else
\setlength\maxdepth{.5\topskip} \fi
\setlength\marginparsep{11\p@}
\setlength\marginparpush{5\p@}

\def\@listi{\leftmargin\leftmargini}
\let\@listI\@listi
\@listi
\def\@listii{\leftmargin\leftmarginii
 \labelwidth\leftmarginii\advance\labelwidth-\labelsep
 \topsep\z@ 
 \parsep\z@ 
 \itemsep \parsep}
\def\@listiii{\leftmargin\leftmarginiii
 \labelwidth\leftmarginiii\advance\labelwidth-\labelsep
 \topsep\z@
 \parsep\z@
\partopsep\z@
 \itemsep=\z@ \topsep\z@}
\def\@listiv{\leftmargin\leftmarginiv
 \labelwidth\leftmarginiv\advance\labelwidth-\labelsep}
\def\@listv{\leftmargin\leftmarginv
 \labelwidth\leftmarginv\advance\labelwidth-\labelsep}
\def\@listvi{\leftmargin\leftmarginvi
 \labelwidth\leftmarginvi\advance\labelwidth-\labelsep}

\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{3}
\setcounter{bottomnumber}{3}
\setcounter{totalnumber}{6}
\setcounter{dbltopnumber}{3}
\renewcommand\topfraction{.95}
\renewcommand\bottomfraction{.95}
\renewcommand\textfraction{.05}
\renewcommand\floatpagefraction{.95}
\renewcommand\dbltopfraction{.95}
\renewcommand\dblfloatpagefraction{.05}

\renewcommand\normalsize{%
   \@setfontsize\normalsize\@xpt{12}

   \abovedisplayskip 7\p@
   \abovedisplayshortskip 7\p@
   \belowdisplayshortskip 7\p@
   \belowdisplayskip \abovedisplayskip
   \setlength\jot{7\p@}
   \let\@listi\@listI}
\normalsize
\newcommand\small{%
   \@setfontsize\small\@ixpt{10}%
   \abovedisplayskip 6\p@
   \abovedisplayshortskip \abovedisplayskip
   \belowdisplayshortskip \abovedisplayskip
   \def\@listi{\leftmargin\leftmargini
               \topsep \z@
               \parsep \z@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}
\newcommand\footnotesize{%
   \@setfontsize\footnotesize\@viiipt{11}%
   \abovedisplayskip 5\p@
   \abovedisplayshortskip \abovedisplayskip
   \belowdisplayshortskip \abovedisplayskip
   \def\@listi{\leftmargin\leftmargini
               \topsep \z@
               \parsep \z@
               \itemsep \parsep}%
   \belowdisplayskip \abovedisplayskip
}
\newcommand\scriptsize{\@setfontsize\scriptsize\@viipt\@xipt}
\newcommand\tiny{\@setfontsize\tiny\@vipt\@viiipt}
\newcommand\large{\@setfontsize\large\@xiipt{16}}
\newcommand\Large{\@setfontsize\Large\@xivpt{18}}
\newcommand\LARGE{\@setfontsize\LARGE{16}{18}}
\newcommand\huge{\@setfontsize\huge\@xxpt{30}}
\newcommand\Huge{\@setfontsize\Huge\@xxvpt{30}}

\if@twoside
  \if@reviewdocument
  \def\ps@headings{\let\@mkboth\markboth
    \def\@oddfoot{\hfill\footnotesize\thepage\hfill}
    \let\@evenfoot\@oddfoot
    \def\@evenhead{\underline{\hbox to \textwidth{\footnotesize\phantom{\@setarticleno}\hfill\jobname\hfill\@setarticleno}}}
    \let\@oddhead\@evenhead}
  \else
  \def\ps@headings{\let\@mkboth\markboth
    \def\@oddfoot{}
    \def\@evenfoot{}
    \def\@oddhead{\@setruntitle\hfill\thepage
    \if@isarticleno\hbox to0mm{\kern2mm\vbox to0mm{\kern-10mm\bfseries \@setarticleno}}\fi
    }
    \def\@evenhead{\thepage\hfill\@setrunauthor
    \if@isarticleno\hbox to0mm{\kern2mm\vbox to0mm{\kern-10mm\bfseries \@setarticleno}}\fi
    }}
  \fi
\else
  \def\ps@headings{%
    \let\@oddfoot\@empty
    \def\@oddhead{\rightmark\hfil\thepage}%
    \let\@mkboth\markboth
    \def\sectionmark##1{%
      \markright {\MakeUppercase{%
        \ifnum \c@secnumdepth >\m@ne
          \thesection\quad
        \fi
        ##1}}}}
\fi

\def\ps@myheadings{%
    \let\@oddfoot\@empty\let\@evenfoot\@empty
    \def\@evenhead{\thepage\hfil\leftmark}%
    \def\@oddhead{\rightmark\hfil\thepage}%
    \let\@mkboth\@gobbletwo
    \let\sectionmark\@gobble
    \let\subsectionmark\@gobble
}

\if@reviewdocument
\def\ps@iis{%
  \let\@mkboth\@gobbletwo%
  \def\@evenfoot{\footnotesize\hfill{\thepage}\hfill}
  \let\@oddfoot\@evenfoot
  \def\@evenhead{\fontsize{9pt}{11pt}\selectfont%
  \noindent\framebox[\textwidth]{\bfseries%
  \hspace*{.5em} IIS \quad %
  \hfill%
  \hspace{1em}\jobname\hspace{.5em}%
  \if@isarticleno\@setarticleno\hspace{.5em}\fi%
  }
  }
  \let\@oddhead\@evenhead
}
\else
\def\ps@iis{%
  \let\@mkboth\@gobbletwo%
  \let\@oddfoot\@empty\let\@evenfoot\@empty
  \def\@evenhead{\fontsize{9pt}{11pt}\selectfont%
      \begin{tabular}{@{}l}
      \hbox{}\\[-3.1mm]
      Interdisciplinary Information Sciences 
      Vol.\ VV, No.\ NN (20YY) %(\the\year) 
      \thepage--\ref{lastpage} \\
      {\copyright}Graduate School of Information Sciences, Tohoku University \\
      ISSN 1340-9050 print/1347-6157 online \\
      \if@isarticleno
      DOI 10.4036/iis.\@setarticleno %iis.\articleno
      \else 
      DOI 10.4036/iis.20YY.??? %iis.\the\year.\thepage
      \fi
      \end{tabular}%
      \if@isarticleno
      \hfill\begin{tabular}{@{}r@{\hskip-16.7mm}}
      \hbox{}\\[-18.22mm]
      {\bfseries \normalsize\@setarticleno} \\
      \mbox{}\\
      \mbox{}\\
      \mbox{}
      \end{tabular}\fi%
  }
  \let\@oddhead\@evenhead
}
\fi


\def\papertyperegularpaper{REGULAR PAPER}%% {RP}%% REGULAR PAPER
\def\papertypeshortcommunication{SHORT COMMUNICATION}%% {SC}%% SHORT COMMUNICATION
\def\papertypereviewsandlectures{REVIEWS AND LECTURES}%% {RAL}%% REVIEWS AND LECTURES
\def\papertype#1{\def\@setpapertype{#1}}
\long\def\articleno#1{\@isarticlenotrue\long\gdef\@setarticleno{#1}}
\@ifundefined{@setarticleno}{}{\@setarticleno}
\long\def\runauthor#1{\long\gdef\@setrunauthor{#1}}
\long\def\runtitle#1{\long\gdef\@setruntitle{#1}}
\long\def\subjclass#1{\long\gdef\@setsubjclass{\@issubjclasstrue\setcounter{footnote}{-1}\thanks{{\the\year} Mathematics Subject Classification: #1}\setcounter{footnote}{0}}}
\long\def\support#1{\long\gdef\@setsupport{\@issupporttrue\setcounter{footnote}{-1}\thanks{#1}\setcounter{footnote}{0}}}
\long\def\abst#1{\long\gdef\@abst{#1}}
\long\def\inst#1{\long\gdef\@inst{#1}}
\long\def\recdate#1#2#3{\long\gdef\@recdate{\getmonth{#2} #3, #1}}
\long\def\accdate#1#2#3{\long\gdef\@accdate{\getmonth{#2} #3, #1}}
\def\pubdate#1#2#3{\gdef\@pubdate{\getmonth{#2} #3, #1}}
\long\def\kword#1{\long\gdef\@kword{\textsf{#1}}}

\newcommand{\getmonth}[1]{\ifcase#1\relax ???\or
 January\or February\or March\or April\or May\or June\or
 July\or August\or September\or October\or November\or December
 \else ???\fi}

\if@titlepage
\newcommand\maketitle{\begin{titlepage}%
  \let\footnotesize\small
  \let\footnoterule\relax
  \let \footnote \thanks
  \null\vfil
  \vskip 60\p@
  \begin{center}%
    {\LARGE \@title \par}%
    \vskip 3em%
    {\large
     \lineskip .75em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
      \vskip 1.5em%
    {\large \@date \par}%       % Set date in \large size.
  \end{center}\par
  \@thanks
  \vfil\null
  \end{titlepage}%
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\@thanks\@empty
  \global\let\maketitle\relax
  \global\let\@maketitle\relax
  \global\let\runtitle\relax
  \global\let\@runtitle\@empty
  \global\let\title\relax
  \global\let\@title\@empty
  \global\let\author\relax
  \global\let\@author\@empty
  \global\let\inst\relax
  \global\let\@inst\@empty
  \global\let\abst\relax
  \global\let\@abst\@empty
  \global\let\date\relax
  \global\let\@date\@empty
  \global\let\recdate\relax
  \global\let\@recdate\@empty
  \global\let\accdate\relax
  \global\let\@accdate\@empty
  \global\let\kword\relax
  \global\let\@kword\@empty
  \global\let\and\relax
}
\else
\newcommand\maketitle{\par
  \begingroup
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{\@textsuperscript{\normalfont\@thefnmark}}%
    \long\def\@makefntext##1{\small%
      \hskip0.5em\@textsuperscript{\normalfont\@thefnmark}%
      ##1}
    \if@twocolumn
      \ifnum \col@number=\@ne
        \@maketitle
      \else
        \twocolumn[\@maketitle]%
      \fi
    \else
      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@maketitle
    \fi
    \thispagestyle{iis}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\@thanks\@empty
  \global\let\maketitle\relax
  \global\let\@maketitle\relax
  \global\let\runtitle\relax
  \global\let\@runtitle\@empty
  \global\let\title\relax
  \global\let\@title\@empty
  \global\let\author\relax
  \global\let\@author\@empty
  \global\let\inst\relax
  \global\let\@inst\@empty
  \global\let\abst\relax
  \global\let\@abst\@empty
  \global\let\date\relax
  \global\let\@date\@empty
  \global\let\recdate\relax
  \global\let\@recdate\@empty
  \global\let\accdate\relax
  \global\let\@accdate\@empty
  \global\let\kword\relax
  \global\let\@kword\@empty
  \global\let\and\relax
  \if@reviewdocument\newpage\fi
}
\def\@maketitle{%
  \@ifundefined{@pubdate}{}{\@isadvancepubtrue}
  \@ifundefined{@recdate}{}{%
    \if@isadvancepub
    \setcounter{footnote}{-1}\thanks{Received \@recdate; Accepted \@accdate; J-STAGE Advance published \@pubdate}\setcounter{footnote}{0}
    \else 
    \setcounter{footnote}{-1}\thanks{Received \@recdate; Accepted \@accdate}\setcounter{footnote}{0}
    \fi
  }
  \@ifundefined{@setsubjclass}{\long\gdef\@setsubjclass{}}{\@setsubjclass}
  \@ifundefined{@setsupport}{\long\gdef\@setsupport{}}{\@setsupport}
  \if@reviewdocument\vspace*{0mm}\else\vspace*{10mm}\fi
  %%%%%%%%%% review-style start
  \if@reviewdocument
  \begin{center}
  \@ifundefined{@setruntitle}{\long\gdef\@setruntitle{}}{\parbox{\textwidth}{\textbf{Running title}: \@setruntitle}\par}
  \ifx\@setpapertype\papertyperegularpaper \@ispapertypefalse
  \else\ifx\@setpapertype\papertypeshortcommunication \@ispapertypetrue
       \else\@ispapertypefalse\fi
  \fi
  \if@ispapertype
  \vskip5mm
  \ifx\@setpapertype\papertyperegularpaper 
      \relax%% \parbox{\textwidth}{\bfseries\@setpapertype\par}\par
  \else\ifx\@setpapertype\papertypeshortcommunication 
      \parbox{\textwidth}{\bfseries SHORT COMMUNICATION \par}\par
       \fi
   \fi
  \vskip5mm
  \else
  \vskip5mm
  \fi
  \parbox{\textwidth}{\LARGE\bfseries\boldmath\@title\par}\par
  \vskip5mm
  \parbox{\textwidth}{\@author\par}\par
  \vskip5mm
  \parbox{\textwidth}{\@inst\par}\par
  \@ifundefined{@abst}{}{%
    \vskip5mm
    \parbox{\textwidth}{\parindent=1em \@abst}\par
  }
  \@ifundefined{@kword}{}{%
    \vskip5mm
    \parbox{\textwidth}{\textsf{\MakeUppercase\kwordname:}\hskip1em\@kword}\par
  }
  \vskip2\baselineskip
  \end{center}
  %%%%%%%%%% review-style end
  \else
  %%%%%%%%%% main-style start
  \begin{center}
  \ifx\@setpapertype\papertyperegularpaper \@ispapertypefalse
  \else\ifx\@setpapertype\papertypeshortcommunication \@ispapertypetrue
       \else\@ispapertypefalse\fi
  \fi
  \if@ispapertype
  \vskip-5mm
  \ifx\@setpapertype\papertyperegularpaper 
      \relax%% \parbox{\textwidth}{\bfseries\@setpapertype\par}\par
  \else\ifx\@setpapertype\papertypeshortcommunication 
      \parbox{\textwidth}{\bfseries SHORT COMMUNICATION \par}\par
       \fi
   \fi
  \vskip5mm
  \fi
  \parbox{\textwidth}{\centering\LARGE\bfseries\boldmath\@title\par}\par
  \vskip3.5mm
  \parbox{\textwidth}{\centering\baselineskip=22pt\@author\par}\par
  \vskip3.5mm
  \parbox{\textwidth}{\normalsize\centering\itshape\@inst\par}\par
  \@ifundefined{@abst}{}{%
    \vskip3.1mm
    \parbox[l]{146mm}{\small\hspace{10pt}\@abst}\par
  }
  \@ifundefined{@kword}{}{%
    \vskip2.1mm
    \parbox[l]{146mm}{\small\textsf{\MakeUppercase\kwordname:}\hskip1em\@kword}\par
  }
  \vskip2\baselineskip
  \end{center}
  \fi
}
\fi


\setcounter{secnumdepth}{3}
\newcounter {part}
\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand \thepart {\@Roman\c@part}
\renewcommand \thesection {\@arabic\c@section}
\renewcommand\thesubsection   {\@arabic\c@section.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection.\@arabic\c@subsubsection}
\renewcommand\theparagraph    {\thesubsubsection.\@arabic\c@paragraph}
\renewcommand\thesubparagraph {\theparagraph.\@arabic\c@subparagraph}
\newcommand\part{%
   \if@noskipsec \leavevmode \fi
   \par
   \addvspace{4ex}%
   \@afterindentfalse
   \secdef\@part\@spart}

\def\@part[#1]#2{%
    \ifnum \c@secnumdepth >\m@ne
      \refstepcounter{part}%
      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
    \else
      \addcontentsline{toc}{part}{#1}%
    \fi
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \ifnum \c@secnumdepth >\m@ne
       \Large\bfseries \partname\nobreakspace\thepart
       \par\nobreak
     \fi
     \huge \bfseries #2%
     \markboth{}{}\par}%
    \nobreak
    \vskip 3ex
    \@afterheading}
\def\@spart#1{%
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \huge \bfseries #1\par}%
     \nobreak
     \vskip 3ex
     \@afterheading}
\newcommand\section{\@startsection {section}{1}{\z@}%
                                   {1\baselineskip}{1\baselineskip}%
                                   {\normalfont\large\bfseries\boldmath}}
\newcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {.5\baselineskip}{.5\baselineskip\boldmath}%
                                     {\normalfont\normalsize\bfseries\boldmath}}
\newcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {.5\baselineskip}{.5\baselineskip}%
                                     {\normalfont\normalsize\bfseries\boldmath}}
\newcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                                    {.5\baselineskip}{.5\baselineskip}%
                                    {\normalfont\normalsize\bfseries\boldmath}}
\newcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
                                       {.5\baselineskip}{.5\baselineskip}%
                                       {\normalfont\normalsize\bfseries\boldmath}}
\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {2.5em}
\fi
\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{(\theenumi)}
\newcommand\labelenumii{\theenumii.}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}
\if@titlepage
  \newenvironment{abstract}{%
      \titlepage
      \null\vfil
      \@beginparpenalty\@lowpenalty
      \begin{center}%
        \bfseries \abstractname
        \@endparpenalty\@M
      \end{center}}%
     {\par\vfil\null\endtitlepage}
\else
  \newenvironment{abstract}{%
      \if@twocolumn
        \section*{\abstractname}%
      \else
        \small
        \begin{center}%
          {\bfseries \abstractname\vspace{-.5em}\vspace{\z@}}%
        \end{center}%
        \quotation
      \fi}
      {\if@twocolumn\else\endquotation\fi}
\fi
\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\if@compatibility
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\z@
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
    }
\else
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\@ne
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
     \if@twoside\else
        \setcounter{page}\@ne
     \fi
    }
\fi
\newcommand\appendix{\par
  \@appentrue
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \setcounter{equation}{0}%
  \setcounter{figure}{0}%
  \setcounter{table}{0}%
  \gdef\thesection    {\@Alph\c@section}
  \gdef\thesubsection {\@Alph\c@section.\@arabic\c@subsection}
  \renewcommand\theequation{%
    \if@reviewdocument\textcolor{blue}{\@Alph\c@section.\@arabic\c@equation}%
    \else\@Alph\c@section.\@arabic\c@equation\fi}
  \renewcommand \thefigure {\@Alph\c@section\@arabic\c@figure}
  \renewcommand \thetable  {\@Alph\c@section\@arabic\c@table}
}

\setlength\footnotesep{6.65\p@}
\setlength{\skip\footins}{6\p@ \@plus 4\p@ \@minus 2\p@}
\setlength\floatsep    {5mm}
\setlength\textfloatsep{5mm \@plus 3mm}
\setlength\intextsep   {5mm \@plus 3mm}
\setlength\dblfloatsep    {5mm \@plus 3mm}
\setlength\dbltextfloatsep{5mm \@plus 3mm}
\setlength\@fptop{0\p@ \@plus 1fil}
\setlength\@fpsep{10\p@ \@plus 2fil}
\setlength\@fpbot{0\p@ \@plus 1fil}
\setlength\@dblfptop{0\p@ \@plus 1fil}
\setlength\@dblfpsep{10\p@ \@plus 2fil}
\setlength\@dblfpbot{0\p@ \@plus 1fil}
\setlength\partopsep{0\p@}

\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.23\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}

\newdimen\capwidth
\newcounter{figure}
\renewcommand \thefigure {\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename\hskip.3em\thefigure}
\newenvironment{figure}
               {\capwidth.8\hsize
               \@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\capwidth.8\hsize
               \@dblfloat{figure}}
               {\end@dblfloat}

\newcounter{table}
\renewcommand\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename\hskip.3em\thetable}
\newif\if@istable
\newenvironment{table}
               {\@istabletrue\capwidth.8\hsize
               \@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@istabletrue\capwidth.8\hsize
               \@dblfloat{table}}
               {\end@dblfloat}

\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{12\p@}
\setlength\belowcaptionskip{12\p@}

\long\def\@caption#1[#2]#3{\par
     \begingroup
     \@parboxrestore
     \small
     \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}
     \par
     \endgroup
     \if@istable\fontsize{8pt}{12pt}\selectfont\fi
}
\newbox\@tempboxb
\long\def\@makecaption#1#2{%
 \if@istable\vskip1mm\else\vskip2mm\fi%
 \setbox\@tempboxa\hbox{{#1.}\hskip1em\shortstack[l]{#2}}%
 \@tempdima\ht\@tempboxa \advance \@tempdima \dp\@tempboxa
 \setbox\@tempboxb\hbox{{#1.}\hskip1em}%
 \ifdim \@tempdima > \baselineskip
  \hfil\parbox[t]{\wd\@tempboxa}{\hangindent\wd\@tempboxb 
   {#1.}{\hskip1em}#2}%
 \else
  \ifdim \wd\@tempboxa > \capwidth
   \hfil\parbox[t]{\capwidth}{\hangindent\wd\@tempboxb 
    {#1.}{\hskip1em}#2}%
  \else
   \hbox to\hsize{\hss\box\@tempboxa\hss}%
  \fi
 \fi
 \if@istable\vskip2mm\fontsize{20pt}{12pt}\selectfont\else\relax\fi%
}

\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
%% \let\mathscr\mathcal

\newcommand\@pnumwidth{1.55em}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{3}
\newcommand\tableofcontents{%
    \section*{\contentsname
        \@mkboth{%
           \MakeUppercase\contentsname}{\MakeUppercase\contentsname}}%
    \@starttoc{toc}%
    }
\newcommand*\l@part[2]{%
  \ifnum \c@tocdepth >-2\relax
    \addpenalty\@secpenalty
    \addvspace{2.25em \@plus\p@}%
    \setlength\@tempdima{3em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \large \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
       \nobreak
       \if@compatibility
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}%
      \fi
    \endgroup
  \fi}
\newcommand*\l@section[2]{%
  \ifnum \c@tocdepth >\z@
    \addpenalty\@secpenalty
    \addvspace{1.0em \@plus\p@}%
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
    \endgroup
  \fi}
\newcommand*\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
\newcommand*\l@subsubsection{\@dottedtocline{3}{3.8em}{3.2em}}
\newcommand*\l@paragraph{\@dottedtocline{4}{7.0em}{4.1em}}
\newcommand*\l@subparagraph{\@dottedtocline{5}{10em}{5em}}
\newcommand\listoffigures{%
    \section*{\listfigurename}%
      \@mkboth{\MakeUppercase\listfigurename}%
              {\MakeUppercase\listfigurename}%
    \@starttoc{lof}%
    }
\newcommand*\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand\listoftables{%
    \section*{\listtablename}%
      \@mkboth{%
          \MakeUppercase\listtablename}%
         {\MakeUppercase\listtablename}%
    \@starttoc{lot}%
    }
\let\l@table\l@figure

\newdimen\bibindent
\setlength\bibindent{1.5em}
\newenvironment{thebibliography}[1]{%
      %% \if@reviewdocument\vskip1\baselineskip\noindent{\Large\textbf{\refname}}\vspace{1\baselineskip}%
      %% \else\vskip0.5\baselineskip\hbox{}\hfill{\small\MakeUppercase\refname}\hfill\hbox{}\vspace{0.5\baselineskip}%
      %% \fi%
      \vskip0.5\baselineskip\hbox{}\hfill{\small\MakeUppercase\refname}\hfill\hbox{}\vspace{0.5\baselineskip}%
      \@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}%
      \if@reviewdocument
      \normalsize\baselineskip=20pt
      \else
      \small
      \fi
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \setlength \labelsep {.68em}
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\let\@openbib@code\@empty

\newenvironment{theindex}
               {\if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \columnseprule \z@
                \columnsep 35\p@
                \twocolumn[\section*{\indexname}]%
                \@mkboth{\MakeUppercase\indexname}%
                        {\MakeUppercase\indexname}%
                \thispagestyle{plain}\parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}

\renewcommand\footnoterule{\vskip1\baselineskip%
  \kern-3\p@
  \hrule \@height0.1mm \@width\textwidth
  \kern1.8mm}
\newcommand\@makefntext[1]{%
    \parindent 1em%
    \noindent
    \hb@xt@2.2mm{\hss\@makefnmark}#1}
\def\symbolfootnotes{\setcounter{footnote}{0}%
    \gdef\thefootnote{\fnsymbol{footnote}}}
\gdef\@thanks{}\symbolfootnotes
\long\def\@makefntext#1{\vskip3\p@ \hsize=\textwidth \par
\noindent
\small \hskip6\p@ $^{\@thefnmark}$\hskip1\p@#1\vskip-3\p@}

\allowdisplaybreaks[3]
\frenchspacing

%%%%% Theorems %%%%%
\newtheoremstyle{assump}{\topsep}{\topsep}{\itshape}{}{\bfseries}{.}{.5em}{}
%%
%% plain style bold
%% Theorem, Lemma, Corollary, Proposition, Conjecture, Criterion,  Algorithm
\newtheorem{theorem}{Theorem}[section]
\newtheorem*{theorem*}{Theorem}
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem{corollary}[theorem]{Corollary}
\newtheorem{proposition}[theorem]{Proposition}
\newtheorem{conjecture}[theorem]{Conjecture}
\newtheorem{criterion}[theorem]{Criterion}
\newtheorem{algorithm}[theorem]{Algorithm}
%%
%% definition style bold
%% Definition, Condition, Problem, Example
\theoremstyle{definition}
\newtheorem{definition}[theorem]{Definition}
\newtheorem{condition}[theorem]{Condition}
\newtheorem{problem}[theorem]{Problem}
\newtheorem{example}[theorem]{Example}
%%
%% remark style italics
%% Remark, Notation, Claim, Summary, Case, Conclusion
\theoremstyle{remark}
\newtheorem{remark}[theorem]{Remark}
\newtheorem*{remark*}{Remark}
\newtheorem{notation}[theorem]{Notation}
\newtheorem{claim}[theorem]{Claim}
\newtheorem{summary}[theorem]{Summary}
\newtheorem{case}[theorem]{Case}
\newtheorem{conclusion}[theorem]{Conclusion}
%%
%% assump style italics
%% Assumption
\theoremstyle{assump}
\newtheorem{assumption}[theorem]{Assumption}
%%
%% redefinition thm space
\newskip\thm@midskip\thm@midskip=4pt
\def\thm@space@setup{% 
  \thm@preskip=\thm@midskip%% \topsep
  \thm@postskip=\z@%% \thm@preskip
}
%%
%% redefinition proof style
\renewenvironment{proof}[1][\proofname]{\par
%%
  \pushQED{\qed}%
  \normalfont 
  \topsep\thm@midskip\relax%% 6\p@\@plus6\p@\relax
  \trivlist
  \item[\hskip\labelsep
        \itshape
    #1\@addpunct{.}]\ignorespaces
}{%
  \popQED\endtrivlist\@endpefalse
}
\providecommand{\proofname}{Proof}
%%%%%%%%%%%%%%%%%%%%

%%%%% maketitle %%%%%
\if@isseceq
  \@addtoreset{equation}{section}
  \renewcommand\theequation{%
    \if@reviewdocument\textcolor{blue}{\@arabic\c@section.\@arabic\c@equation}%
    \else\@arabic\c@section.\@arabic\c@equation\fi}
\fi
%%%%%%%%%%%%%%%%%%%%

%%%%% maketitle %%%%%
\newcommand{\name}[1]{\textcolor{black}{#1}}
\newcommand{\surname}[1]{\if@reviewdocument\textcolor{blue}{#1}\else#1\fi}
\newcommand{\address}[1]{\if@reviewdocument\textcolor{blue}{#1}\else#1\fi}
\newcommand{\kw}[1]{\if@reviewdocument\fboxrule.75\p@\textcolor{blue}{\fbox{\textcolor{black}{#1}}}\else#1\fi}
\newcommand{\note}[1]{\if@reviewdocument\textcolor{blue}{#1}\else#1\fi}
\newcommand{\AUNOTE}[1]{\setcounter{footnote}{-1}\thanks{#1}\setcounter{footnote}{0}}
\newcommand{\CAE}[1]{\setcounter{footnote}{0}\thanks{Corresponding author. E-mail: #1}\setcounter{footnote}{0}}
%%%%%%%%%%%%%%%%%%%%

%%%%% body %%%%%
\newcommand{\degree}{\mbox{$^{\circ}$}}
\newcommand{\degC}{\mbox{$^{\circ}$C}}
\newcommand{\URL}[1]{\if@reviewdocument\textcolor{green}{\underline{\textcolor{black}{#1}}}\else#1\fi}
\let\mbi\bm\relax
%%%%%%%%%%%%%%%%%%%%

%%%%% references %%%%%
\newcommand{\au}[1]{\if@reviewdocument{\color{magenta} #1}\else#1\fi}
\newcommand{\jnlti}[1]{\if@reviewdocument{\color{blue} #1}\else#1\fi}
\newcommand{\pubti}[1]{\if@reviewdocument{\color{blue} #1}\else#1\fi}
\newcommand{\vol}[1]{\if@reviewdocument\textcolor{blue}{\underline{\color{black} #1}}\else#1\fi}
\newcommand{\yr}[1]{\if@reviewdocument{\color{green} #1}\else#1\fi}
\newcommand{\pg}[1]{\if@reviewdocument\fboxrule.75\p@\textcolor{blue}{\fbox{\textcolor{black}{#1}}}\else#1\fi}
\newcommand{\no}[1]{\if@reviewdocument\fboxrule.75\p@\textcolor{blue}{\fbox{\textcolor{black}{#1}}}\else#1\fi}
\newcommand{\spg}[1]{\if@reviewdocument\fboxrule.75\p@\textcolor{blue}{\fbox{\textcolor{black}{#1}}}\else#1\fi}
\newcommand{\epg}[1]{\if@reviewdocument\fboxrule.75\p@\textcolor{blue}{\fbox{\textcolor{black}{#1}}}\else#1\fi}
\newcommand{\jnl}[5]{``#1,'' \jnlti{\textit{#2}}, \vol{\textbf{#3}}: #4 (\yr{#5})}
\newcommand{\book}[3]{#1, \pubti{#2} (\yr{#3})}
%%%%%%%%%%%%%%%%%%%%

%%%%% cite %%%%%
%\def\@cite@out#1{%
%\if@reviewdocument\citeform{\textcolor{blue}{\csname #1\endcsname}}%
%\else\citeform{\csname #1\endcsname}\fi}
\renewcommand\citeleft{\if@reviewdocument\textcolor{red}{[}\else{[}\fi}
\renewcommand\citeright{\if@reviewdocument\textcolor{red}{]}\else{]}\fi}
%%%%%%%%%%%%%%%%%%%%

\newcommand\contentsname{Contents}
\newcommand\listfigurename{List of Figures}
\newcommand\listtablename{List of Tables}
\newcommand\refname{References}
\newcommand\indexname{Index}
\newcommand\figurename{Fig.}
\newcommand\tablename{Table}
\newcommand\schemename{Scheme}
\newcommand\partname{Part}
\newcommand\appendixname{Appendix}
\newcommand\abstractname{Abstract}
\newcommand\kwordname{Keywords}

\def\today{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}

\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}

\pagestyle{headings}
\pagenumbering{arabic}

\if@twoside
\else
  \raggedbottom
\fi
%% \if@twocolumn
%%   \twocolumn
%%   \sloppy
%%   \flushbottom
%% \else
%%   \onecolumn
%% \fi

\if@reviewdocument
  \AtBeginDocument{\setlength{\rightskip}{0pt plus 1fil}}
  \raggedbottom
  \hyphenpenalty=10000
  \exhyphenpenalty=10000
\fi

\onecolumn
\def\sloppy{\tolerance=9999
\hfuzz=.5\p@ \vfuzz=.5\p@}

\def\lastlabel#1{\protected@write\@auxout{}{\string\newlabel{#1}{{\thepage}}}}
\let\@originaldocument\enddocument
\def\enddocument{\lastlabel{lastpage}\@originaldocument}

%% File List %%
\listfiles

\endinput
%%
%% End of file `iis.cls'.
